DirectoryIterator::__toString
EmptyIterator
DirectoryIterator
PHP Manual

# DirectoryIterator::valid

(PHP 5)

DirectoryIterator::valid — Check whether current DirectoryIterator position is a valid file

### Description

public bool DirectoryIterator::valid ( void )

Check whether current DirectoryIterator position is a valid file.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the position is valid, otherwise `FALSE`

### Examples

Example #1 A DirectoryIterator::valid() example

`<?php
$iterator = new DirectoryIterator(dirname(__FILE__));
// Loop to end of iterator
while($iterator->valid()) {
$iterator->next();
}
$iterator->valid(); // FALSE
$iterator->rewind();
$iterator->valid(); // TRUE
?>`

### See Also

- DirectoryIterator::current() - Return the current DirectoryIterator item.
- DirectoryIterator::key() - Return the key for the current DirectoryIterator item
- DirectoryIterator::next() - Move forward to next DirectoryIterator item
- DirectoryIterator::rewind() - Rewind the DirectoryIterator back to the start
- Iterator::valid() - Checks if current position is valid

DirectoryIterator::__toString
EmptyIterator
DirectoryIterator
PHP Manual